#!python
from setuptools import setup, find_packages

setup(name='z3c.widget',
      version='0.1.6',
      author = "Zope Community",
      author_email = "zope3-dev@zope.org",
      description = "Additional Zope3 Widgets",
      license = "ZPL 2.1",
      keywords = "zope zope3",
      url='http://svn.zope.org/z3c.widget',
      zip_safe=False,
      packages=find_packages('src'),
      include_package_data=True,
      package_dir = {'':'src'},
      namespace_packages=['z3c',],
      extras_require = dict(test=['zope.app.testing',
                                  'zope.testing',
                                  'zope.app.securitypolicy',
                                  'zope.app.zcmlfiles',
                                  'zope.testbrowser',
                                  ]),
      install_requires = ['setuptools',
                          'ZODB3',
                          'z3c.i18n',
                          'z3c.javascript',
                          'z3c.schema',
                          'zc.resourcelibrary',
                          'zope.app.cache',
                          'zope.app.container',
                          'zope.app.file',
                          'zope.app.form',
                          'zope.app.i18n',
                          'zope.app.pagetemplate',
                          'zope.component',
                          'zope.event',
                          'zope.filerepresentation',
                          'zope.formlib',
                          'zope.i18n',
                          'zope.i18nmessageid',
                          'zope.interface',
                          'zope.lifecycleevent',
                          'zope.publisher',
                          'zope.schema',
                          'zope.security',
                          'zope.traversing',
                          ],
      classifiers = ['Development Status :: 4 - Beta',
                     'Environment :: Web Environment',
                     'Framework :: Zope3',
                     'Intended Audience :: Developers',
                     'License :: OSI Approved :: Zope Public License',
                     'License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)',
                     'Programming Language :: Python',
                     'Topic :: Software Development :: Libraries :: Python Modules',
                     ],
      )

